### Method

# Atk StateSet remove_state

#### Declaration [src]

    gboolean
    atk_state_set_remove_state (
      AtkStateSet* set,
      AtkStateType type
    )

#### Description [src]

Removes the state for the specified type from the state set.

Note that because an `AtkStateSet` is a read-only object, this method should be used to remove a state to a newly-created set which will then be returned by #atk_object_ref_state_set. It should not be used to modify the existing state of an object. See also #atk_object_notify_state_change.

#### Parameters

`type`

  Type: `AtkStateType`

  An `AtkType`.

#### Return value

Type: `gboolean`

`TRUE` if `type` was the state type is in `set`.